
Before the event, I was having a rather pleasant moment in showering with my lover. I started to feel too hot, much too hot. Then I started seeing colors instead of my normal vision. I felt that I was leaning against the wall behind me, and then was sliding down to the ground. I lost consciousness.

I had an experience that I wouldn't have shared here if it didn't resemble an NDE. While I was still aware, my sight was replaced by moving colors. In the middle of the moving colors, it looked like there was an opening. I could see something like domes, half spheres situated at the ground, which consisted of many glass triangles placed side by side. There were two of these domes. It was as if my vision was only 10% of my normal vision and only in the center of my normal vision. I felt really well, as if I was sleeping and really relaxed. < br>
Then I regained consciousness very fast. I was sitting on the floor, with my knees folded in front of me. My lover was shaking me and called me by my first name. He was terrified. I was still very relaxed, and didn't have the impression that there might be any problems. I told him immediately 'I saw domes' while he was still asking me if I was conscious. Then I started to feel cold and started feeling bad. I got out of the shower from there, had terrible nausea, and vomited. Then I remained there, at least five full minutes. I wasn't moving and was trying to get warmer. I got dressed. Then I had to go to toilet, suddenly I had diarrhea, nothing else after that. I rested for the rest of the evening in a state of tiredness and fragility.

I noticed that another NDEr reported something similar to mine: â€˜a rounded structure whose surface was made of multiple facets in the shape of triangles. I was wondering of what material they consisted as I touched one. It had an aspect of glass, was warmer and softer than glass, even though it had its transparency.' Murielle T NDE
